Provided by: apt_1.9.4_amd64 bug

NOM

       apt - interface en ligne de commande

SYNOPSIS

       apt [-h] [-o=chaîne_de_configuration] [-c=fichier_de_configuration] [-t=publication_cible]
           [-a=architecture] {list | search | show | update |
           install paquet [{=numéro_version_paquet | /publication_cible}]... | remove paquet... |
           upgrade | full-upgrade | edit-sources | {-v | --version} | {-h | --help}}

DESCRIPTION

       apt fournit une interface en ligne de commande pour le système de gestion de paquets. Elle
       est conçue comme une interface utilisateur et permet certaines options plus adaptées à une
       utilisation interactive par défaut par rapport aux outils d'APT plus spécialisés tels que
       apt-get(8) et apt-cache(8).

       Exactement comme apt lui-même, cette page de manuel vise à être une interface pour
       l'utilisateur et ainsi elle ne mentionne que les commandes et les options les plus
       courantes, en partie pour ne pas répéter les informations à de multiples emplacements et
       en partie pour ne pas noyer le lecteur par une surabondance d'options et de détails.

       update (apt-get(8))
           La commande update permet de télécharger les informations sur les paquets à partir des
           sources configurées. D'autres commandes agissent sur ces données, par exemple,
           réalisent la mise à jour de paquet ou recherchent et affichent des détails à propos de
           tous les paquets qui peuvent être installés.

       upgrade (apt-get(8))
           La commande upgrade permet d'installer les mises à jour disponibles de tous les
           paquets présents sur le système en utilisant les sources énumérées dans
           sources.list(5). De nouveaux paquets seront installés si cela est nécessaire pour
           satisfaire des dépendances, mais les paquets installés ne seront jamais supprimés. Si
           la mise à jour d'un paquet nécessite la suppression d'un paquet installé, la mise à
           jour n'est pas réalisée.

       full-upgrade (apt-get(8))
           La commande full-upgrade remplit la même fonction que upgrade mais supprimera des
           paquets actuellement installés si cela est nécessaire pour mettre à jour le système
           dans son ensemble.

       install, reinstall, remove, purge (apt-get(8))
           La commande réalise l'action requise sur un ou plusieurs paquets spécifiés avec
           regex(7), glob(7) ou avec la correspondance exacte. Les actions requises peuvent être
           remplacées pour certains paquets en ajoutant un plus (+) au nom du paquet pour
           l'installer et ou un moins (-) pour le supprimer.

           On peut choisir d'installer une version particulière d'un paquet en faisant suivre son
           nom par un signe égal (=) et par la version du paquet à sélectionner. Autrement, on
           peut choisir une version spécifique en faisant suivre le nom du paquet par une barre
           oblique (/) et le nom de code (buster, bullseye, sid ...) ou un nom de suite (stable,
           testing, unstable). Cela sélectionnera aussi cette version pour les dépendances de ce
           paquet si cela est nécessaire pour satisfaire la requête.

           La suppression d'un paquet entraîne la suppression de toutes les données empaquetées,
           mais conserve habituellement les petits fichiers (modifiés) de configuration de
           l'utilisateur, pour le cas où la suppression a été accidentelle. Dans ce cas, il
           suffira d'émettre une demande d'installation pour le paquet supprimé accidentellement
           pour restaurer son fonctionnement antérieur. D'autre part, on peut facilement se
           débarrasser de ces reliquats en appelant la commande purge même sur des paquets déjà
           supprimés. Notez que cela n'affecte aucune donnée ou configuration stockées dans votre
           répertoire personnel.

       autoremove (apt-get(8))
           La commande autoremove, supprime les paquets installés automatiquement dans le but de
           satisfaire les dépendances d'autres paquets et qui ne sont plus nécessaires parce que
           les dépendances ont changé ou parce que le ou les paquets ont été supprimés
           entre-temps.

           Vous devriez vérifier que la liste ne contient pas des applications que vous avez fini
           par apprécier, même si elles ont été installées seulement comme dépendance d'un autre
           paquet. Vous pouvez marquer ces paquets comme installés manuellement avec apt-mark(8).
           Les paquets que vous avez installés explicitement avec la commande install ne seront
           jamais proposés non plus pour une suppression automatique.

       satisfy (apt-get(8))
           satisfy satisfies dependency strings, as used in Build-Depends. It also handles
           conflicts, by prefixing an argument with "Conflicts: ".

           Example: apt satisfy "foo, bar (>= 1.0)" "Conflicts: baz, fuzz"

       search (apt-cache(8))
           La commande search peut être utilisée pour rechercher le(s) terme(s) regex(7) donné(s)
           dans la liste de paquets disponibles et affiche les paquets correspondants. Par
           exemple, cela peut être utile pour rechercher des paquets dotés d'une fonctionnalité
           particulière. Si vous recherchez un paquet qui fournit un fichier particulier, essayez
           apt-file(1).

       show (apt-cache(8))
           La commande affiche des informations sur le(s) paquet(s) donné(s) y compris ses
           dépendances, sa taille installé et au téléchargement, les sources d’où provient le
           paquet, la description du contenu des paquets et bien plus encore. Cela peut être
           utile pour consulter ces informations avant d'autoriser apt(8) à supprimer un paquet
           ou lors d'une recherche de nouveaux paquets à installer.

       list (travail en cours)
           La commande list est à peu près semblable à la commande dpkg-query --list dans la
           mesure où elle peut afficher une liste de paquets qui satisfont à certains critères.
           Elle gère les motifs glob(7) pour la correspondance des noms de paquets ainsi que des
           options pour afficher les versions installées --installed, pouvant être mises à jour
           --upgradeable, ou toutes les versions disponibles --all-versions.

       edit-sources (travail en cours)
           La commande edit-sources permet de modifier le fichier sources.list(5) avec votre
           éditeur de texte préféré et fournit des vérifications de sécurité de base.

UTILISATION DE SCRIPTS ET DIFFÉRENCES AVEC LES AUTRES OUTILS DAPT

       La ligne de commande de apt(8) est conçue comme un outil pour l'utilisateur et son
       comportement peut varier selon ses versions. Bien qu'il s'efforce de ne pas casser les
       compatibilités ascendantes, cela ne peut pas non plus être garanti, si une modification
       semble bénéfique pour une utilisation interactive.

       Toutes les fonctionnalités d'apt(8) sont aussi proposées dans les outils dédiés d'APT tels
       que apt-get(8) ou apt-cache(8) apt(8) modifie seulement la valeur par défaut de certaines
       options (voir apt.conf(5) et en particulier le champ d'action Binary). Aussi vous devriez
       préférer l'utilisation de ces commandes (éventuellement avec certaines options
       complémentaires activées) dans les scripts parce qu'elles conservent autant que possible
       la compatibilité ascendante.

VOIR AUSSI

       apt-get(8), apt-cache(8), sources.list(5), apt.conf(5), apt-config(8), le guide d'APT dans
       /usr/share/doc/apt-doc/, apt_preferences(5), le « HOWTO » d'APT.

DIAGNOSTICS

       apt renvoie zéro après une opération normale, et le décimal 100 en cas d'erreur.

BOGUES

       Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez
       lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

       Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005,
       2009, 2010), Équipe de traduction francophone de Debian
       <debian-l10n-french@lists.debian.org>

       Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est
       volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard
       sur le contenu d'origine.

AUTEUR

       Équipe de développement d'APT

NOTES

        1. Page des bogues d'APT
           http://bugs.debian.org/src:apt